Factor of multivariate sometimes prints ERROR

04 May 2019 20:55 - John Abbott

Status: New Start date: 04 May 2019

Priority: High Due date:  

Assignee:  % Done: 10%

Category: Maths Bugs Estimated time: 0.00 hour

Target version: CoCoALib-0.99880 Spent time: 1.20 hour

Description

Here is an example:

use QQ[x,y];

f := -x^4*y^3 -x^2*y +1;

facs := factor(f); --> do this 97 times

ERROR: maximum deg in destination polynomial too low

 

Despite the error message, the answer seems to be correct.

History

#1 - 04 May 2019 21:05 - John Abbott

The simplest examples (with 3 terms) seem to be of deg 7 (none found in deg 6 or deg 5).

-x^6*y -x^2 +1

-x^6*y -x^5*y +1

-x^4*y^3 -x^2*y +1

-x^5*y^2 +x^3*y +1

 

The signs of the coeffs seem to be important: I found no example with all coeffs equal to +1.

Just found a lower deg example:

-x^4*y +x^2 +x +1

x^4*y +x^3*y -x^2 +2

-x^4*y +x^4 -x^2 +x +1

-x^4*y -x^3*y -x^2*y -x^2 +1

There seem to be only 2 examples in deg 5 with 4 terms.   The error mesg can be produced by fns in one of two files:

DUPZexgcd.c

DUPZinterp.c

The relevant line is a call to JERROR with arg JERROR_DEG_TOO_LOW
#2 - 08 Jan 2020 22:57 - John Abbott

- Target version changed from CoCoALib-0.99700 to CoCoALib-0.99800

#3 - 06 Oct 2020 14:49 - John Abbott

- Target version changed from CoCoALib-0.99800 to CoCoALib-0.99850

#4 - 16 Nov 2021 10:24 - Anna Maria Bigatti

I confirm I (rarely) meet this error with tough examples in our development of Comprehensive Groebner Systems.

#5 - 16 Nov 2021 10:38 - Anna Maria Bigatti

When it happens, it happens in pairs.  Run this:

for i := 1 to 1000 do

  facs := factor(x^6*y +x^2 -1);

  println i,  facs.RemainingFactor = 1, facs.factors = [x^6*y +x^2 -1],

          facs.multiplicities = [1];

endfor;

#6 - 16 Nov 2021 10:38 - Anna Maria Bigatti

- % Done changed from 0 to 10

#7 - 21 Jan 2024 20:03 - John Abbott

- Target version changed from CoCoALib-0.99850 to CoCoALib-0.99880
